# Operator defaults
allow_rwx_storage: True
cluster_domain: cluster.local
execution_affinity_required: True
opsperator_images_registry: False
pull_policy: IfNotPresent
root_domain: demo.local
scheduling_affinity_required: True
timezone: Europe/Paris

do_affinities: True
do_backups: False
do_debugs: False
do_exporters: False
do_hpa: False
do_network_policy: False
do_pdb: False
do_triggers: False

# ARA
ara_playbook_labels:
- DokuWiki
- Opsperator
ara_playbook_name: DokuWiki

# Kubernetes Backups Defaults
backups_daily_start_hour: 15
backups_hourly_start_minute: 15
backups_interval: daily
backups_weekly_start_day: 2

# DokuWiki
dokuwiki_cpu_limit: 250m
dokuwiki_cpu_request: 10m
dokuwiki_data_capacity: 8Gi
dokuwiki_image_source: https://gitlab.com/synacksynack/opsperator/docker-dokuwiki
dokuwiki_memory_limit: 512Mi
dokuwiki_memory_request: 320Mi
dokuwiki_php_max_execution_time: 30
dokuwiki_php_memory_limit: 256M
dokuwiki_replicas: 1
dokuwiki_tag: 2022-07-31a-20220918

# Prometheus Exporters
exporter_cpu_limit: 100m
exporter_cpu_request: 50m
exporter_memory_limit: 128Mi
exporter_memory_request: 64Mi
httpexporter_tag: 1.1.0
prometheus_match: scrape-me
prometheus_namespace_match: prometheus-monitoring
prometheus_service_label: k8s-app

# Kubernetes
k8s_affinity_zone_label: kubernetes.io/hostname
k8s_namespace_nodes_selectors:
- kubernetes.io/os=linux
k8s_resource_nodes_selectors: []
tls_provider: internalca

# NetworkPolicies
default_namespace_match: default
network_policy_deployment_label: name
network_policy_namespace_label: netpol

# OpenShift DeploymentConfigs
deploy_pod_cpu_limit: 50m
deploy_pod_cpu_request: 50m
deploy_pod_memory_limit: 512Mi
deploy_pod_memory_request: 128Mi
deploy_revision_history_limit: 3

# PHP Base Image
php_tag: '20220918'
php_version: 74

# SSHd
sshd_cpu_limit: 100m
sshd_cpu_request: 10m
sshd_memory_limit: 512Mi
sshd_memory_request: 128Mi
sshd_tag: 7.9p1-10-20220424
